<template>
  <ProFormCol>
    <ProFormColItem :span="12">
      <ProFormItemV2 label="申报批次号:" prop="batchNo">
        <ProFormText v-model.trim="form.batchNo" />
      </ProFormItemV2>
    </ProFormColItem>
    <ProFormColItem :span="12">
      <ProFormItemV2 label="申请奖励金月份:" prop="applyMonth">
        <ProFormDatePicker v-model="form.applyMonth" format="YYYY年MM月" type="month" />
      </ProFormItemV2>
    </ProFormColItem>
    <ProFormColItem :span="12">
      <ProFormItemV2 label="申报园区:" prop="parkName">
        <ProFormText v-model.trim="form.parkName" />
      </ProFormItemV2>
    </ProFormColItem>
    <ProFormColItem :span="12">
      <ProFormItemV2 label="园区类型:">
        <ProFormText v-model.trim="form.parkTypeName" />
      </ProFormItemV2>
    </ProFormColItem>
  </ProFormCol>
</template>

<script setup lang="ts">
import {
  ProFormItemV2,
  ProFormCol,
  ProFormColItem,
  ProFormText,
  ProFormDatePicker,
  ProFormSelect,
  ProFormMixinsItemContainer,
} from '@bole-core/components';
import { useAllSearchSettingList } from '@/hooks';
import { SearchType } from '@/constants';

defineOptions({
  name: 'BatchInfoView',
});

type Props = {
  form: {
    batchNo: string;
    parkName: string;
    parkTypeName: string;
    applyMonth: string;
    applySumAmount: number;
  };
};

const props = withDefaults(defineProps<Props>(), {});

const { allSearchSettingList: parkTypeList } = useAllSearchSettingList({
  searchType: SearchType.Park,
  enabled: true,
  status: true,
});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;
</style>
